Instalando o plugin

🚧

Desative o plugin antigo

Para utilizar nosso plugin Woocommerce você deve desativar ou desinstalar nosso plugin antigo Pagar.me Woocommerce antes de realizar seus testes.

Olá! No guia a seguir você encontra informações sobre a instalação de todos os componentes necessários para utilizar o plugin do Pagar.me para WooCommerce. Vamos lá:

Brazilian Market on WooCommerce

O primeiro plugin que precisa ser instalado — e que é um requisito básico — chama-se Brazilian Market on WooCommerce. Ele é necessário por conta dos campos obrigatórios de Customer, como CPF, Endereço e Telefone, que a API Pagar.me solicita no momento da criação de uma transação.

Para instalar esse plugin é necessário acessar o Painel Wordpress > Plugins > Adicionar Novo. Em seguida, digite no campo de pesquisa, no canto superior direito o seguinte: Brazilian Market on WooCommerce. Veja esses passos na imagem a seguir, indicados de 1 a 3:

18931893

Excelente! Como mostra o passo 4, clique no botão "Instalar agora", neste primeiro resultado do lado esquerdo. O processo de instalação deve demorar alguns segundos — assim que ele for finalizado, clique em "Ativar".

Para configurar este plugin é necessário clicar em Plugins > Plugins Instalados > Configurações. Veja esses passos na imagem a seguir, indicados de 1 a 3:

15911591

Em seguida iniciamos a configuração desse plugin. A página que aparecerá é a seguinte:

891891

De acordo com a API Pagar.me, apenas documento (CPF ou CNPJ) e número de celular são obrigatórios para criar um pedido. Sendo assim, não é necessário que seja aplicado os campos de RG, estado de registro, data de aniversário e sexo.

No campo de mostrar o tipo de pessoa normalmente é selecionado Pessoa Física e Pessoa Jurídica, mas de acordo com o modelo de negócios pode ser utilizado apenas um deles.

Já as opções de jQuery e de Validação também são opcionais. Ao passo que, quando um documento não é válido a API Pagar.me recusa a criação do pedido.

A configuração recomendada é justamente a informada na imagem acima. Sendo de total liberdade do lojista não aplicar algum dos campos que não são obrigatórios.

Pagar.me module for Woocommerce

🚧

Requisitos de instalação

PHP >= 7.1 & <= 7.4
Wordpress >= 5.0
WooCommerce >= 3.9
WooCommerce Extra Checkout Fields for Brazil >= 3.6.0

O próximo passo é de fato instalar o plugin da Pagar.Me para WooCommerce. Para isso você deve fazer o caminho Plugins > Adicionar Novo novamente, só que dessa vez busque por Pagar.me módulo, assim como é mostrado na imagem abaixo:

18781878

Para adicionar este plugin basta clicar em "Instalar agora" no primeiro resultado. Este processo deve demorar alguns segundos, e assim que ele estiver finalizado basta clicar em "Ativar".

Pronto! O plugin Pagar.me para WooCommerce está instalado no seu WooCommerce. Assim que este complemento é ativado, você é redirecionado ao próximo passo: a página de configuração dos plugins.


Próximo

Depois de instalar o plugin Pagar.me no WooCommerce, é hora de configurar todas as possibilidades.

Did this page help you?